Next: Certificate related options, Up: Option Summary [Contents][Index]

#### 5.2.1 How to change the configuration

These options are used to change the configuration and are usually found in the option file.

`--options file` ¶

  Reads configuration from file instead of from the default per-user configuration file. The default configuration file is named `gpgsm.conf` and expected in the `.gnupg` directory directly below the home directory of the user.

`--homedir dir` ¶

  Set the name of the home directory to dir. If this option is not used, the home directory defaults to `~/.gnupg`. It is only recognized when given on the command line. It also overrides any home directory stated through the environment variable `GNUPGHOME` or (on Windows systems) by means of the Registry entry HKCU\Software\GNU\GnuPG:HomeDir.

  On Windows systems it is possible to install GnuPG as a portable application. In this case only this command line option is considered, all other ways to set a home directory are ignored.

  To install GnuPG as a portable application under Windows, create an empty file named `gpgconf.ctl` in the same directory as the tool `gpgconf.exe`. The root of the installation is then that directory; or, if `gpgconf.exe` has been installed directly below a directory named `bin`, its parent directory. You also need to make sure that the following directories exist and are writable: `ROOT/home` for the GnuPG home and `ROOT/var/cache/gnupg` for internal cache files.

`-v`
`--verbose` ¶

  Outputs additional information while running. You can increase the verbosity by giving several verbose commands to `gpgsm`, such as ‘`-vv`’.

`--policy-file filename` ¶

  Change the default name of the policy file to filename.

`--agent-program file` ¶

  Specify an agent program to be used for secret key operations. The default value is determined by running the command `gpgconf`. Note that the pipe symbol (`|`) is used for a regression test suite hack and may thus not be used in the file name.

`--dirmngr-program file` ¶

  Specify a dirmngr program to be used for CRL checks. The default value is `/usr/bin/dirmngr`.

`--prefer-system-dirmngr` ¶

  This option is obsolete and ignored.

`--disable-dirmngr`

  Entirely disable the use of the Dirmngr.

`--no-autostart` ¶

  Do not start the gpg-agent or the dirmngr if it has not yet been started and its service is required. This option is mostly useful on machines where the connection to gpg-agent has been redirected to another machines. If dirmngr is required on the remote machine, it may be started manually using `gpgconf --launch dirmngr`.

`--no-secmem-warning` ¶

  Do not print a warning when the so called "secure memory" cannot be used.

`--log-file file` ¶

  When running in server mode, append all logging output to file. Use `socket://` to log to socket.

Next: Certificate related options, Up: Option Summary [Contents][Index]